## The following methods now return primitive values (`long`/`boolean`/`double` 
instead of `Long`/`Boolean`/`Double`):

- dbSize()
- lastsave()
- slowlogLen()
- clientId()
- clientUnblock(long clientId, UnblockType unblockType)
- clientKill(ClientKillParams params)
- aclDelUser(String name)
- aclDelUser(byte[] name)
- move(String key, int dbIndex)
- move(byte[] key, int dbIndex)
- waitReplicas(int replicas, long timeout)
- waitReplicas(String key, int replicas, long timeout)
- exists(String key)
- exists(byte[] key)
- exists(String... keys)
- exists(byte[]... keys)
- persist(String key)
- expire(String key, long seconds)
- expire(byte[] key, long seconds)
- pexpire(String key, long milliseconds)
- pexpire(byte[] key, long milliseconds)
- expireAt(String key, long unixTime)
- expireAt(byte[] key, long unixTime)
- pexpireAt(String key, long millisecondsTimestamp)
- pexpireAt(byte[] key, long millisecondsTimestamp)
- ttl(String key)
- ttl(byte[] key)
- pttl(String key)
- touch(String key)
- touch(byte[] key)
- touch(String... keys)
- touch(byte[]... keys)
- setbit(String key, long offset, boolean value)
- setbit(byte[] key, long offset, boolean value)
- getbit(String key, long offset)
- getbit(byte[] key, long offset)
- setrange(String key, long offset, String value)
- setrange(byte[] key, long offset, byte[] value)
- setnx(String key, String value)
- setnx(byte[] key, byte[] value)
- incr(String key)
- incr(byte[] key)
- decr(String key)
- decr(byte[] key)
- incrBy(String key, long increment)
- incrBy(byte[] key, long increment)
- decrBy(String key, long decrement)
- decrBy(byte[] key, long decrement)
- incrByFloat(String key, double increment)
- incrByFloat(byte[] key, double increment)
- append(String key, String value)
- append(byte[] key, byte[] value)
- hset(String key, String field, String value)
- hset(byte[] key, byte[] field, byte[] value)
- hset(String key, Map<String, String> hash)
- hset(byte[] key, Map<byte[], byte[]> hash)
- hsetnx(String key, String field, String value)
- hsetnx(byte[] key, byte[] field, byte[] value)
- hincrBy(String key, String field, long value)
- hincrBy(byte[] key, byte[] field, long value)
- hincrByFloat(String key, String field, double value)
- hincrByFloat(byte[] key, byte[] field, double value)
- hexists(String key, String field)
- hexists(byte[] key, byte[] field)
- hdel(String key, String... field)
- hdel(byte[] key, byte[]... field)
- hlen(String key)
- hlen(byte[] key)
- rpush(String key, String... string)
- rpush(byte[] key, byte[]... args)
- lpush(String key, String... string)
- lpush(byte[] key, byte[]... args)
- llen(String key)
- llen(byte[] key)
- lrem(String key, long count, String value)
- lrem(byte[] key, long count, byte[] value)
- sadd(String key, String... member)
- sadd(byte[] key, byte[]... member)
- scard(String key)
- scard(byte[] key)
- sismember(String key, String member)
- sismember(byte[] key, byte[] member)
- strlen(String key)
- strlen(byte[] key)
- zadd(String key, double score, String member)
- zadd(byte[] key, double score, byte[] member)
- zadd(String key, double score, String member, ZAddParams params)
- zadd(byte[] key, double score, byte[] member, ZAddParams params)
- zadd(String key, Map<String, Double> scoreMembers)
- zadd(byte[] key, Map<byte[], Double> scoreMembers)
- zadd(String key, Map<String, Double> scoreMembers, ZAddParams params)
- zadd(byte[] key, Map<byte[], Double> scoreMembers, ZAddParams params)
- zrem(String key, String... members)
- zrem(byte[] key, byte[]... members)
- zincrby(String key, double increment, String member)
- zincrby(byte[] key, double increment, byte[] member)
- zcard(String key)
- zcard(byte[] key)
- zcount(String key, double min, double max)
- zcount(byte[] key, double min, double max)
- zcount(String key, String min, String max)
- zcount(byte[] key, byte[] min, byte[] max)
- zremrangeByRank(String key, long start, long stop)
- zremrangeByRank(byte[] key, long start, long stop)
- zremrangeByScore(String key, double min, double max)
- zremrangeByScore(byte[] key, double min, double max)
- zremrangeByScore(String key, String min, String max)
- zremrangeByScore(byte[] key, byte[] min, byte[] max)
- zlexcount(String key, String min, String max)
- zlexcount(byte[] key, byte[] min, byte[] max)
- zremrangeByLex(String key, String min, String max)
- zremrangeByLex(byte[] key, byte[] min, byte[] max)
- linsert(String key, ListPosition where, String pivot, String value)
- linsert(byte[] key, ListPosition where, byte[] pivot, byte[] value)
- lpushx(String key, String... string)
- lpushx(byte[] key, byte[]... arg)
- rpushx(String key, String... string)
- rpushx(byte[] key, byte[]... arg)
- del(String key)
- del(byte[] key)
- del(String... keys)
- unlink(String key)
- unlink(byte[] key)
- unlink(String... keys)
- bitcount(String key)
- bitcount(byte[] key)
- bitcount(String key, long start, long end)
- bitcount(byte[] key, long start, long end)
- bitpos(String key, boolean value)
- bitpos(String key, boolean value, BitPosParams params)
- pfadd(String key, String... elements)
- pfadd(byte[] key, byte[]... elements)
- pfcount(byte[]... keys)
- geoadd(String key, double longitude, double latitude, String member)
- geoadd(byte[] key, double longitude, double latitude, byte[] member)
- geoadd(String key, Map<String, GeoCoordinate> memberCoordinateMap)
- geoadd(byte[] key, Map<byte[], GeoCoordinate> memberCoordinateMap)
- geoadd(String key, GeoAddParams params, Map<String, GeoCoordinate> memberCoordinateMap)
- geoadd(byte[] key, GeoAddParams params, Map<byte[], GeoCoordinate> memberCoordinateMap)
- hstrlen(String key, String field)
- hstrlen(byte[] key, byte[] field)
- xlen(String key)
- xlen(byte[] key)
- xack(String key, String group, StreamEntryID... ids)
- xack(byte[] key, byte[] group, byte[]... ids)
- xgroupDestroy(String key, String groupname)
- xgroupDestroy(byte[] key, byte[] consumer)
- xgroupDelConsumer( String key, String groupname, String consumername)
- xgroupDelConsumer(byte[] key, byte[] consumer, byte[] consumerName)
- xdel(String key, StreamEntryID... ids)
- xdel(byte[] key, byte[]... ids)
- xtrim(String key, long maxLen, boolean approximate)
- xtrim(byte[] key, long maxLen, boolean approximateLength)
- xtrim(String key, XTrimParams params)
- xtrim(byte[] key, XTrimParams params)
- clusterKeySlot(String key)
- clusterCountKeysInSlot(int slot)
- msetnx(String... keysvalues)
- msetnx(byte[]... keysvalues)
- renamenx(String oldkey, String newkey)
- renamenx(byte[] oldkey, byte[] newkey)
- sdiffstore(String dstkey, String... keys)
- sdiffstore(byte[] dstkey, byte[]... keys)
- sinterstore(String dstkey, String... keys)
- sinterstore(byte[] dstkey, byte[]... keys)
- smove(String srckey, String dstkey, String member)
- smove(byte[] srckey, byte[] dstkey, byte[] member)
- sort(String key, String dstkey)
- sort(byte[] key, byte[] dstkey)
- sort(String key, SortingParams sortingParameters, String dstkey)
- sort(byte[] key, SortingParams sortingParameters, byte[] dstkey)
- sunionstore(String dstkey, String... keys)
- sunionstore(byte[] dstkey, byte[]... keys)
- zdiffStore(String dstkey, String... keys)
- zdiffStore(byte[] dstkey, byte[]... keys)
- zinterstore(String dstkey, String... sets)
- zinterstore(byte[] dstkey, byte[]... sets)
- zinterstore(String dstkey, ZParams params, String... sets)
- zinterstore(byte[] dstkey, ZParams params, byte[]... sets)
- zunionstore(String dstkey, String... sets)
- zunionstore(byte[] dstkey, byte[]... sets)
- zunionstore(String dstkey, ZParams params, String... sets)
- zunionstore(byte[] dstkey, ZParams params, byte[]... sets)
- bitop(BitOP op, String destKey, String... srcKeys)
- bitop(BitOP op, byte[] destKey, byte[]... srcKeys)
- georadiusStore(String key, double longitude, double latitude, double radius, GeoUnit unit, GeoRadiusParam param, GeoRadiusStoreParam storeParam)
- georadiusStore(byte[] key, double longitude, double latitude, double radius, GeoUnit unit, GeoRadiusParam param, GeoRadiusStoreParam storeParam)
- georadiusByMemberStore(String key, String member, double radius, GeoUnit unit, GeoRadiusParam param, GeoRadiusStoreParam storeParam)
- georadiusByMemberStore(byte[] key, byte[] member, double radius, GeoUnit unit, GeoRadiusParam param, GeoRadiusStoreParam storeParam)
- copy(String srcKey, String dstKey, int db, boolean replace)
- copy(byte[] srcKey, byte[] dstKey, int db, boolean replace)
- copy(String srcKey, String dstKey, boolean replace)
- copy(byte[] srcKey, byte[] dstKey, boolean replace)
